#page-blog {
  .page-title {
    background-image: url('https://logikom.b-cdn.net/projects/logistock_uy/images/logistock-blog.jpg');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    /* background-blend-mode: color;
    background-color: rgba(255, 255, 255, .25); */

    line-height: 300px;
    text-shadow: 0 0 10px black, 0 0 10px black;
    color: white;
    font-size: 3rem;
    text-transform: uppercase;
  }

  .blog-section-title {
    text-align: left;
    font-size: 1.5rem;
    margin-bottom: 10px;
    font-weight: 300;
    line-height: 1.25;
  }

  time {
    font-style: italic;
    font-size: .75rem;
    color: gray;
  }

  .blog-list {
    .post-item {
      margin-bottom: 14px;

      .post-description {
        overflow: hidden;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 2;
        line-clamp: 2;
        text-overflow: ellipsis;
      }

      .blog-list-image-col {
        width: 100px;
      }

      .post-title {
        text-align: left;
        font-size: 1rem;
        font-weight: bold;
        line-height: 1.2;
        color: var(--color-gray-medium);

        overflow: hidden;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 2;
        line-clamp: 2;
        text-overflow: ellipsis;
      }

      .post-thumb-image {
        /*max-width: 200px;
        max-height: 100px;*/
        width: 100%;
        margin: 5px 0;
        box-shadow: 0 0 2px 1px rgba(0, 0, 0, .3);
      }

      .btn-read-more {
        display: inline-block;
        margin-top: 16px;
        color: var(--color-brand-1);
        text-transform: uppercase;
        font-size: .75rem;
        font-weight: 400;
      }
    }

    time {
      font-style: italic;
      font-size: .85rem;
      color: gray;
      display: inline-block;
      margin: 10px 0 14px 0;
    }
  }

  .blog-related {
    display: none;

    .related-post-item {
      margin-bottom: 1.25rem;

      .post-title {
        overflow: hidden;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 2;
        line-clamp: 2;
        text-overflow: ellipsis;

        a {
          color: var(--color-gray-medium);
          text-decoration: underline;
        }
      }

      .post-description {
        overflow: hidden;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 3;
        line-clamp: 3;
        text-overflow: ellipsis;
      }
    }
  }
}

.blog-post-page {
  margin-bottom: 4rem;

  .post-header {
    padding-bottom: 1rem;
    border-bottom: 1px solid var(--color-gray-light);
    margin-bottom: 2rem;
    text-align: center;

    .post-title {
      font-size: 2rem;
      line-height: 1.2;
      padding-top: 40px;
      padding-bottom: 10px;
      margin-bottom: 0;
    }

    time {
      font-style: italic;
      font-size: 1rem;
      color: gray;
    }
  }

  .post-main-image {
    max-width: 800px;
    width: 100%;
  }

  .post-content {
    font-size: 1rem;
    max-width: 800px;
    text-align: justify;

    a, a:link, a:hover, a:visited {
      color: var(--color-brand-1);
    }
  }
}


/* MEDIA QUERIES */

@media (min-width: 64em) {
  #page-blog {
    .blog-list {
      .post-item {
        margin-bottom: 60px;

        .blog-list-image-col {
          width: 100px;
        }

        .post-title {
          font-size: 1.2rem;
        }

        .post-description {
          -webkit-line-clamp: 3;
          line-clamp: 3;
        }
      }
    }

    .blog-related {
      display: initial;
    }
  }
}